config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

for file in etc/*.new ; do
	config $file
done
( cd usr/bin ; rm -rf hcc )
( cd usr/bin ; ln -sf mpicc hcc )
( cd usr/bin ; rm -rf hcp )
( cd usr/bin ; ln -sf mpiCC hcp )
( cd usr/bin ; rm -rf hf77 )
( cd usr/bin ; ln -sf mpif77 hf77 )
( cd usr/bin ; rm -rf wipe )
( cd usr/bin ; ln -sf lamwipe wipe )
( cd usr/bin ; rm -rf mpiCC )
( cd usr/bin ; ln -sf mpic++ mpiCC )
( cd usr/lib/lam ; rm -rf liblam_totalview.so.0 )
( cd usr/lib/lam ; ln -sf liblam_totalview.so.0.0.0 liblam_totalview.so.0 )
( cd usr/lib/lam ; rm -rf liblam_totalview.so )
( cd usr/lib/lam ; ln -sf liblam_totalview.so.0.0.0 liblam_totalview.so )
